Bug 1577278 - [RFE] foreman-maintain should provide an option to clean the running/pending tasks in the upgrade check
Summary: [RFE] foreman-maintain should provide an option to clean the running/pending ...
Keywords:
Status: CLOSED DUPLICATE of bug 1524030
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Maintain
Version: 6.3.1
Hardware: x86_64
OS: Linux
low
low
Target Milestone: Unspecified
Assignee: Anurag Patel
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 15:10 UTC by Mihir Lele
Modified: 2019-08-12 15:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-25 07:54:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mihir Lele 2018-05-11 15:10:11 UTC
Description of problem:

foreman-maintain should provide an option to clean the running/pending tasks in the upgrade check. Currently we only have an option to cleanup old tasks. There are scenarios where there could be tens/hundred of tasks in running state and the only option customer has, is to destroy/cancel the tasks using foreman-rake commands.

Version-Release number of selected component (if applicable):  6.3.1


Note You need to log in before you can comment on or make changes to this bug.